package cn.estsh.i3plus.pojo.mes.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/4/30 2:01 下午
 * @Modify:
 */
@Data
public class OperateObjectParamModel {

    private String organizeCode;

    @ApiParam("设备代码")
    private String equCode;

    @ApiParam("运算对象代码")
    private String objectCode;

    @ApiParam("日期")
    private String oeeDate;

    @ApiParam("开始时段")
    private String startTime;

    @Transient
    @ApiParam("结束时段")
    private String endTime;

    @ApiParam("属性值")
    private Integer attributeValue = 0;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作单元代码")
    private String workCellCode;

}
