package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :MES_QUEUE_GROUP_COUNT
 * @Reference :
 * @Author : joke
 * @CreateDate : 2020-03-06 10:16 上午
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "MES_QUEUE_GROUP_RULE")
@Api("MES_队列分组规则")
public class MesQueueGroupRule extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6857842499743356177L;

    @Column(name = "QGR_CODE")
    @ApiParam("分组规则代码")
    private String qgrCode;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户产线代码")
    private String custPlantCode;

    @Column(name = "PRODUCE_CTGY_CODE")
    @ApiParam("产品位置代码")
    private String produceCtgyCode;

    @Column(name = "QTY")
    @ApiParam("分组数量")
    private Integer qty;
}
