package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.dynamictable.WmsFieldInfo;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : Wms实体字段Model信息
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-01-08 09:53
 * @Modify:
 **/
@Data
@NoArgsConstructor
public class WmsFieldInfoModel implements Serializable {

    private static final long serialVersionUID = -6376845639646427495L;

    @ApiParam(value = "字段信息列表")
    public List<WmsFieldInfo> wmsFieldInfoList;

    @ApiParam(value = "新增数据操作类")
    private String baseRepository;

    @ApiParam("处理类型")
    private int handleType;

    public WmsFieldInfoModel (String baseRepository, int handleType, List<WmsFieldInfo> wmsFieldInfoList) {
        this.baseRepository = baseRepository;
        this.wmsFieldInfoList = wmsFieldInfoList;
        this.handleType = handleType;
    }
}
